/**
 * Copyright (C) 2001-2003 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.perseus.persistence.api;

/**
 * This exception is raised when the user want to
 * - unexport, read or write a non persistent object
 *
 * @author S.Chassande-Barrioz
 */
public class PersistentObjectLifeCycleExcpetion extends PersistenceException {

    private static final long serialVersionUID = -7199961551435336831L;

    public final static String UNEXPORT_NPO_MSG = "Impossible to remove a non persistent object";
	public final static String READ_NPO_MSG = "Impossible to read a non persistent object";
	public final static String WRITE_NPO_MSG = "Impossible to write a non persistent object";

	public PersistentObjectLifeCycleExcpetion() {
	}

	public PersistentObjectLifeCycleExcpetion(String msg) {
		super(msg);
	}

	public PersistentObjectLifeCycleExcpetion(Exception nested) {
		super(nested);
	}

	public PersistentObjectLifeCycleExcpetion(String msg, Exception nested) {
		super(msg, nested);
	}
}
