/**
 * Copyright (C) 2003 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.perseus.persistence.api;

import org.objectweb.perseus.cache.api.CacheEntry;

/**
 * This simple implementation of the State interface can be used in order to
 * simulate a State into a Working set in case of cache eviction.
 * 
 * @author S.Chassande-Barrioz
 */
public final class VirtualState implements State {

	public final static State instance = new VirtualState();

	private VirtualState() {
	}

	public final CacheEntry getCacheEntry() {
		return null;
	}

	public void setCacheEntry(CacheEntry ce) {
	}
}
